Bug 6361

Summary: Packages need support for the 3.4 upgrade
Product: Koha Reporter: Robin Sheat <robin>
Component: PackagingAssignee: Robin Sheat <robin>
Status: CLOSED FIXED QA Contact: Bugs List <koha-bugs>
Severity: enhancement    
Priority: PATCH-Sent (DO NOT USE) CC: chris, mjr
Version: 3.4   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: ---
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
Bug Depends on:    
Bug Blocks: 2509    
Attachments: Proposed patch
Bug 6361 - make the packages work with koha 3.4

Description Robin Sheat 2011-05-18 04:33:22 UTC

    
Comment 1 Robin Sheat 2011-05-18 04:36:13 UTC
To make the 3.2 -> 3.4 upgrade as smooth as possible, the packages need to make it easy to perform the required operations, in particular running 'remove_items_from_biblioitems.pl'.
Comment 2 Robin Sheat 2011-05-18 04:37:50 UTC
This will also involve changing of version numbers, and pulling in the history of changelog updates, etc.
Comment 3 Robin Sheat 2011-05-19 09:00:39 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2011-05-29 20:45:51 UTC
Created attachment 4294 [details] [review]
Bug 6361 - make the packages work with koha 3.4

This commit does the following:
* Merge the changelog from the releases of 3.2
* Adds a command 'koha-upgrade-to-3.4' that does the MARC item splitting
  stuff.
* Adds a debconf note to make sure people know that they need to run
  the above command.
* Fixes the inclusion of jQuery in the packages.
* Makes build-git-snapshot build packages with a 3.5 version.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Chris Cormack 2011-06-02 23:08:28 UTC
Affects only the patches, and works well in testing, pushed to master
Comment 6 Robin Sheat 2011-06-12 01:49:57 UTC
(In reply to comment #5)
> Affects only the patches, and works well in testing, pushed to master

There are issues in the koha-rebuild-zebra script, the fix for which is also in master and (I think) 3.4.x. I'm hoping to make packages for the next 3.4 release.
Comment 7 Robin Sheat 2011-06-28 23:56:02 UTC
This also needs to go into 3.4.x in order for packages to be able to be built from that.